Last Comment Bug 626047 - Items "Regular" "Bigger" "Smaller" in Size choice dropdown menu are cropped
: Items "Regular" "Bigger" "Smaller" in Size choice dropdown menu are cropped
Status: RESOLVED FIXED
: polish, ux-control
Product: Thunderbird
Classification: Client Software
Component: Preferences (show other bugs)
: unspecified
: x86 Linux
: -- trivial (vote)
: ---
Assigned To: Jean-Bernard Marcon
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-01-15 05:05 PST by Jean-Bernard Marcon
Modified: 2012-12-14 18:17 PST (History)
6 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
small patch to restore full visibility (636 bytes, patch)
2011-01-15 05:15 PST, Jean-Bernard Marcon
no flags Details | Diff | Review
visual problem before (43.64 KB, image/png)
2011-01-15 05:17 PST, Jean-Bernard Marcon
no flags Details
correct layout after patch (43.79 KB, image/png)
2011-01-15 05:18 PST, Jean-Bernard Marcon
no flags Details
tested tiny patch (1.15 KB, patch)
2011-01-15 15:29 PST, Jean-Bernard Marcon
bugs: ui‑review-
Details | Diff | Review
Screenshot showing no artifact (53.42 KB, image/png)
2012-12-14 18:16 PST, Javi Rueda
no flags Details

Description Jean-Bernard Marcon 2011-01-15 05:05:16 PST
User-Agent:       Mozilla/5.0 (X11; Linux i686; rv:2.0b10pre) Gecko/20110114 Firefox/4.0b10pre
Build Identifier: Mozilla/5.0 (X11; Linux i686; rv:2.0b8pre) Gecko/20101116 Thunderbird/3.3a1

Items in the dropdown menu for Size of the texte choice are not completely readable unless you click to see the whole list

Reproducible: Always

Steps to Reproduce:
1. Goto Edit>Preferences>Display tab
2. The plain Texte Messages zone offers a Size choice
 Words are not completely visible
Actual Results:  
 Words are not completely visible

Expected Results:  
It would be better to have the default choice at least learly visible without clicking

Please note that I have no such visual issue on Mozilla/5.0 (X11; U; Linux i686; fr-FR; rv:1.9.2.13) Gecko/20101207 Thunderbird/3.1.7
Comment 1 Jean-Bernard Marcon 2011-01-15 05:15:04 PST
target file for modification is /content/messenger/preferences/dispaly.xul
Comment 2 Jean-Bernard Marcon 2011-01-15 05:15:54 PST
Created attachment 504115 [details] [diff] [review]
small patch to restore full visibility
Comment 3 Jean-Bernard Marcon 2011-01-15 05:17:45 PST
Created attachment 504116 [details]
visual problem before
Comment 4 Jean-Bernard Marcon 2011-01-15 05:18:22 PST
Created attachment 504117 [details]
correct layout after patch
Comment 5 Jean-Bernard Marcon 2011-01-15 05:41:38 PST
mmmh btw I realize the same little addition sizetopopup="always" should be applied in the same file for the Font size dropdown list which numbers are completely unvisible (to be seen on my attached screenshots)
Comment 6 Ludovic Hirlimann [:Usul] 2011-01-15 09:51:27 PST
(In reply to comment #5)
> mmmh btw I realize the same little addition sizetopopup="always" should be
> applied in the same file for the Font size dropdown list which numbers are
> completely unvisible (to be seen on my attached screenshots)

Bigger patch please ?
Comment 7 Jean-Bernard Marcon 2011-01-15 15:29:07 PST
Created attachment 504182 [details] [diff] [review]
tested tiny patch

a bigger patch including a second similar correction
Comment 8 Andreas Nilsson (:andreasn) 2011-01-17 08:49:55 PST
There seems to be a small error in the patch in that it tries to apply to home/famille/Bureau/truncationOnItems/after/display.xul a user I don't have on my system :)
Comment 9 Andreas Nilsson (:andreasn) 2011-01-17 08:59:30 PST
Comment on attachment 504182 [details] [diff] [review]
tested tiny patch

But judging from the screenshot, I think it would be good to use the same spacing in both boxes, as it would look a bit better, so some spacing in the Size dropdown would be good.
Comment 10 Blake Winton (:bwinton) (:☕️) (PTO 'til London. Find me there for quick answers!) 2011-01-17 09:15:54 PST
Comment on attachment 504182 [details] [diff] [review]
tested tiny patch

(I'm clearing out my review request, cause it didn't get the ui-r, but I basically agree with what Andreas said.)
Comment 11 Mark Banner (:standard8) 2011-01-17 10:31:19 PST
Could the cause just be that the dialog isn't wide enough on Linux? On Mac I don't see an issue.

From what I can tell the button should size to the drop-down by default, unless there's not enough room available for the button...
Comment 12 Javi Rueda 2012-12-14 18:16:50 PST
Created attachment 692539 [details]
Screenshot showing no artifact

There is no artifact while looking at this tab on latest build. Notice that dialog box has been resized to its minimum possible in order to show if menu-lists showed those "...", but it didn't happen.

The same occurs when opening the dialog box without resizing it.

This bug hasn't revieved any activity from its assignee since a year or so ago.

So, I mark it as FIXED, as long as when reported was a correct bug.

Note You need to log in before you can comment on or make changes to this bug.